com.corticon.rulesemf.common

## Interface InternationalValidationMessage

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ValidationMessage

      public interface InternationalValidationMessage
      extends ValidationMessage

  A representation of the model object 'International Validation Message'.

  The following features are supported:

  - `Text Key`
  - `Text Variables`
  - `Location Key`
  - `Location Variables`
  See Also:
    `CommonPackage.getInternationalValidationMessage()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLocationKey()` Returns the value of the 'Location Key' attribute
    `org.eclipse.emf.common.util.EList` | `getLocationVariables()` Returns the value of the 'Location Variables' attribute list.
    `java.lang.String` | `getTextKey()` Returns the value of the 'Text Key' attribute
    `org.eclipse.emf.common.util.EList` | `getTextVariables()` Returns the value of the 'Text Variables' attribute list.
    `void` | `setLocationKey(java.lang.String value)` Sets the value of the '`Location Key`' attribute
    `void` | `setTextKey(java.lang.String value)` Sets the value of the '`Text Key`' attribute

    - ### Methods inherited from interface com.corticon.rulesemf.common.ValidationMessage

      `getInvalidObjects, getKey, getSeverity, getType, getUUID, isDemoted, isSameMessage, setDemoted, setKey, setSeverity, setType, setUUID`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTextKey

          java.lang.String getTextKey()

      Returns the value of the 'Text Key' attribute.

      If the meaning of the 'Text Key' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Text Key' attribute.
      See Also:
        `setTextKey(String)`, `CommonPackage.getInternationalValidationMessage_TextKey()`

    - #### setTextKey

          void setTextKey(java.lang.String value)

      Sets the value of the '`Text Key`' attribute.
      Parameters:
        `value` - the new value of the 'Text Key' attribute.
      See Also:
        `getTextKey()`

    - #### getTextVariables

          org.eclipse.emf.common.util.EList getTextVariables()

      Returns the value of the 'Text Variables' attribute list. The list contents are of type `String`.

      If the meaning of the 'Text Variables' attribute list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Text Variables' attribute list.
      See Also:
        `CommonPackage.getInternationalValidationMessage_TextVariables()`

    - #### getLocationKey

          java.lang.String getLocationKey()

      Returns the value of the 'Location Key' attribute.

      If the meaning of the 'Location Key' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Location Key' attribute.
      See Also:
        `setLocationKey(String)`, `CommonPackage.getInternationalValidationMessage_LocationKey()`

    - #### setLocationKey

          void setLocationKey(java.lang.String value)

      Sets the value of the '`Location Key`' attribute.
      Parameters:
        `value` - the new value of the 'Location Key' attribute.
      See Also:
        `getLocationKey()`

    - #### getLocationVariables

          org.eclipse.emf.common.util.EList getLocationVariables()

      Returns the value of the 'Location Variables' attribute list. The list contents are of type `String`.

      If the meaning of the 'Location Variables' attribute list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Location Variables' attribute list.
      See Also:
        `CommonPackage.getInternationalValidationMessage_LocationVariables()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.